Query deletion fails : PGError: ERROR:  relation "issues_queries" does not exist

2010-06-23 09:50 - herbert koelman

Status: Closed Start date: 2010-06-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.8.4

Description

When deleting a self made query, an error page displays saying an "Internal error" occured.

The query is not suppressed.

The log file indicates that a relation is missing:

Processing QueriesController#destroy (for 174.100.84.116 at 2010-06-23 09:15:09) [POST]

  Session ID: 3ef77f761ee08fd7471431c4c7ba95d8

  Parameters: {"action"=>"destroy", "id"=>"8", "controller"=>"queries"}

ActiveRecord::StatementInvalid (PGError: ERROR:  relation "issues_queries" does not exist

:             SELECT a.attname, format_type(a.atttypid, a.atttypmod), d.adsrc, a.attnotnull

              FROM pg_attribute a LEFT JOIN pg_attrdef d

                ON a.attrelid = d.adrelid AND a.attnum = d.adnum

             WHERE a.attrelid = 'issues_queries'::regclass

               AND a.attnum > 0 AND NOT a.attisdropped

             ORDER BY a.attnum

...

 I'm using Redmine 0.8.4.stable (PostgreSQL) on Fedora 11 (32bits).

Postgres:

postgresql-server-8.3.10-1.fc11.i586

ruby-postgres-0.7.1-11.fc11.i586

postgresql-libs-8.3.10-1.fc11.i586

postgresql-8.3.10-1.fc11.i586

Ruby:

rubygem-fastthread-1.0.7-1.fc11.i586

ruby-rdoc-1.8.6.383-4.fc11.i586

ruby-devel-1.8.6.383-4.fc11.i586

ruby-postgres-0.7.1-11.fc11.i586

ruby-irb-1.8.6.383-4.fc11.i586

ruby-1.8.6.383-4.fc11.i586

ruby-RMagick-2.12.2-1.fc11.i586

rubygems-1.3.1-2.fc11.noarch

ruby-libs-1.8.6.383-4.fc11.i586

History

#1 - 2010-06-23 11:07 - Felix Schäfer

Could you please try with a current version, the 0.8 branch is not maintained anymore.

#2 - 2010-06-23 11:28 - herbert koelman

Ok I'll try with coming release 1.0

#3 - 2011-03-13 19:48 - Etienne Massip
- Category set to Issues

Did you manage to make it work ?

#4 - 2011-03-14 11:25 - herbert koelman

- Status changed from New to Resolved

Issue corrected in redmine's latest release.

#5 - 2011-03-14 11:49 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks !

Files

redmine-trace-delete-query.txt 6.1 KB 2010-06-23 herbert koelman
